org.apache.cassandra.gms

## Class GossipDigestSyn

- java.lang.Object
- - org.apache.cassandra.gms.GossipDigestSyn

    public class GossipDigestSyn
    extends java.lang.Object

This is the first message that gets sent out as a start of the Gossip protocol in a round.

### Field Summary

Fields
`static IVersionedSerializer<GossipDigestSyn>` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`GossipDigestSyn(java.lang.String clusterId, java.lang.String partioner, java.util.List<GossipDigest> gDigests)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static final IVersionedSerializer<GossipDigestSyn> serializer

### Constructor Detail

#### GossipDigestSyn

    public GossipDigestSyn(java.lang.String clusterId,
                           java.lang.String partioner,
                           java.util.List<GossipDigest> gDigests)